SCSI_EH_FINISH_CMD(9)

NAME
scsi_eh_finish_cmd - Handle a cmd that eh is finished with.

SYNOPSIS

void scsi_eh_finish_cmd(struct scsi_cmnd * scmd, struct list_head * done_q);

ARGUMENTS

scmd
    Original SCSI cmd that eh has finished.

done_q
    Queue for processed commands.

NOTES

We don't want to use the normal command completion while we are are still handling errors - it may cause other commands to be queued, and that would disturb what we are doing. Thus we really want to keep a list of pending commands for final completion, and once we are ready to leave error handling we handle completion for real.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT